Summary: A music tracker for the X Window System.
Name: soundtracker
Version: 0.6.1
Release: 2
Group: Applications/Multimedia
Copyright: GPL
Patch: soundtracker-0.6.1-chown.patch
Url: http://www.soundtracker.org/
Source: ftp://ftp.soundtracker.org/pub/soundtracker/v0.5/soundtracker-%{version}.tar.gz 
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
SoundTracker is a music tracker for the X Window System.  Music
trackers arrange sound samples on tracks.  A track or channel can only
play one sample at a time.  Theoretically, trackers for PCs can mix an
unlimited number of channels (typically up to 32) into a single sound
stream.  SoundTracker is like the ProTracker and FastTracker
programs.

%prep
%setup -q
%patch -p1

%build
%configure --disable-alsa
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT-NLS FAQ NEWS TODO README ChangeLog
%attr(0755,root,root) %{_bindir}/soundtracker
%{_datadir}/locale/*/*/*
%{_datadir}/gnome/apps/Multimedia/soundtracker.desktop

%changelog
* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov 15 2000 Tim Powers <timp@redhat.com>
- updated to 0.6.1

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 02 2000 Trond Eivind Glomsrd <teg@redhat.com>
- update to 0.5.5
- use %%makeinstall and %%configure
- patch so install doesn't do chown and chmod u+s


* Fri May 19 2000 Tim Powers <timp@redhat.com>
- use applnk
- update to 0.5.4

* Mon Nov 29 1999 Tim Powers <timp@redhat.com>
- using spec file from the tarball now.
- very minor cleanups in the spec file
- quiet setup
